import { DB } from "../../types"
import { managePb404 } from "../../utils/pbTools"
import pbClient from "../pbClient"

const get = async (userId: string) =>
  managePb404<DB.GroupAgentConfig>(() =>
    pbClient
      .collection("group_agent_config")
      .getFirstListItem(`user_id='${userId}'`)
  )

const upsert = async (data: Partial<DB.GroupAgentConfig>) => {
  const { user_id } = data
  const old = await get(user_id!)
  if (old) {
    await pbClient.collection("group_agent_config").update(old.id, data)
    return old.id
  }
  return pbClient.collection("group_agent_config").create(data)
}

const groupAgentConfig = {
  get,
  upsert,
}

export default groupAgentConfig
