import type { LarkEvent } from "@egg/lark-msg-tool"
import { NetToolBase } from "@egg/net-tool"

class AttachService extends NetToolBase {
  /**
   * 监控CI状态
   * @param {string} chat_id - 聊天ID。
   * @returns {Promise<string>} 返回CI监控结果。
   */
  async ciMonitor(chat_id: string) {
    const URL = `https://lark-egg.ai.xiaomi.com/gitlab_monitor/ci?chat_id=${chat_id}`
    return this.get(URL).catch(() => "")
  }

  /**
   * 收集报告数据
   * @param {LarkEvent.Data} body - 报告数据。
   * @returns {Promise<string>} 返回报告收集结果。
   */
  async reportCollector(body: LarkEvent.Data) {
    const URL = "https://report.imoaix.cn/report"
    return this.post(URL, body).catch(() => "")
  }
}

export default AttachService
