import { LarkServer } from "../../types"
import LarkBaseService from "./base"

class LarkChatService extends LarkBaseService {
  /**
   * 获取机器人所在群列表
   */
  async getInnerList() {
    const path = "/im/v1/chats"
    const chatList = []
    let hasMore = true
    let pageToken = ""
    while (hasMore) {
      const { data, code } = await this.get<
        LarkServer.BaseListRes<LarkServer.ChatGroupData>
      >(path, {
        page_size: 100,
        page_token: pageToken,
      })
      if (code !== 0) break
      chatList.push(...data.items)
      hasMore = data.has_more
      pageToken = data.page_token
    }
    return {
      code: 0,
      data: chatList,
      message: "ok",
    }
  }
}

export default LarkChatService
