import { LarkBody, LarkCard } from "@egg/lark-msg-tool"
import { NetTool } from "@egg/net-tool"
import { PathCheckTool } from "@egg/path-tool"
import { Logger } from "winston"

import cardMap from "../constant/card"
import functionMap from "../constant/function"
import tempMap from "../constant/template"
import { AttachService, LarkService } from "../services"

export namespace Context {
  export interface Data {
    req: Request
    requestId: string
    logger: Logger
    genResp: NetTool
    body: any
    text: string
    larkService: LarkService
    larkBody: LarkBody
    larkCard: LarkCard<typeof cardMap, typeof tempMap, typeof functionMap>
    attachService: AttachService
    path: PathCheckTool
    searchParams: URLSearchParams
    app: string
  }
}
